GRPC C++ 0.10.0.0

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Friends
grpc::ByteBuffer Class Reference

`#include <byte_buffer.h>`

## Public Member Functions
| ByteBuffer ()
| ByteBuffer (const Slice *slices, size_t nslices)
| ~ByteBuffer ()
void | Dump (std::vector< Slice > *slices) const
void | Clear ()
size_t | Length () const

## Friends
class | SerializationTraits< ByteBuffer, void >

## Constructor & Destructor Documentation

grpc::ByteBuffer::ByteBuffer | ( |  | ) |
| inline

grpc::ByteBuffer::ByteBuffer | ( | const Slice * | slices,
|  | size_t | nslices
| ) |  |

grpc::ByteBuffer::~ByteBuffer | ( |  | ) |
| inline

## Member Function Documentation

void grpc::ByteBuffer::Clear | ( |  | ) |

void grpc::ByteBuffer::Dump | ( | std::vector< Slice > * | slices | ) | const

size_t grpc::ByteBuffer::Length | ( |  | ) | const

## Friends And Related Function Documentation

friend class SerializationTraits< ByteBuffer, void >
| friend

The documentation for this class was generated from the following files:

- include/grpc++/byte_buffer.h
- src/cpp/util/byte_buffer.cc